#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyFloat
from bioMoby.mobyDataTypes import MobyObject


class MobyInterProScanResult(MobyObject):
    """ Description: An InterProScan Result
        Author: atidb.org
        Contact: sean.walsh@bbsrc.ac.uk
    """
    def __init__(self,namespace="",id="",Match_Name="",Match_Accession="",Method="",Checksum="",Sequence_Id="",Length=0,Match_Start=0,Match_End=0,EValue=0.0,Date="",InterProMatchAccession="",InterProMatchDescription="",articleName=""):
        self._articles={"Match_Name":"Match_Name","Match_Accession":"Match_Accession","Method":"Method","Checksum":"Checksum","Sequence_Id":"Sequence_Id","Length":"Length","Match_Start":"Match_Start","Match_End":"Match_End","EValue":"E-value","Date":"Date","InterProMatchAccession":"InterPro Match Accession","InterProMatchDescription":"InterPro Match Description"}
        self.namespace=namespace
        self.id=id
        self.Match_Name=Match_Name
        self.Match_Accession=Match_Accession
        self.Method=Method
        self.Checksum=Checksum
        self.Sequence_Id=Sequence_Id
        self.Length=Length
        self.Match_Start=Match_Start
        self.Match_End=Match_End
        self.EValue=EValue
        self.Date=Date
        self.InterProMatchAccession=InterProMatchAccession
        self.InterProMatchDescription=InterProMatchDescription
        self.__prefix__="moby"
        self.__tag__="InterProScanResult"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Match_Name" or elt.getAttribute("moby:articleName")=="Match_Name"):
                t=MobyString()
                t.fromMoby(elt)
                self.Match_Name=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Match_Accession" or elt.getAttribute("moby:articleName")=="Match_Accession"):
                t=MobyString()
                t.fromMoby(elt)
                self.Match_Accession=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Method" or elt.getAttribute("moby:articleName")=="Method"):
                t=MobyString()
                t.fromMoby(elt)
                self.Method=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Checksum" or elt.getAttribute("moby:articleName")=="Checksum"):
                t=MobyString()
                t.fromMoby(elt)
                self.Checksum=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Sequence_Id" or elt.getAttribute("moby:articleName")=="Sequence_Id"):
                t=MobyString()
                t.fromMoby(elt)
                self.Sequence_Id=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Length" or elt.getAttribute("moby:articleName")=="Length"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Length=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Match_Start" or elt.getAttribute("moby:articleName")=="Match_Start"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Match_Start=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Match_End" or elt.getAttribute("moby:articleName")=="Match_End"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Match_End=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Float" or elt.nodeName=="moby:Float") and (elt.getAttribute("articleName")=="EValue" or elt.getAttribute("moby:articleName")=="EValue"):
                t=MobyFloat()
                t.fromMoby(elt)
                self.EValue=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="Date" or elt.getAttribute("moby:articleName")=="Date"):
                t=MobyString()
                t.fromMoby(elt)
                self.Date=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="InterProMatchAccession" or elt.getAttribute("moby:articleName")=="InterProMatchAccession"):
                t=MobyString()
                t.fromMoby(elt)
                self.InterProMatchAccession=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="InterProMatchDescription" or elt.getAttribute("moby:articleName")=="InterProMatchDescription"):
                t=MobyString()
                t.fromMoby(elt)
                self.InterProMatchDescription=t.content